<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <a class="navbar-brand" [routerLink]="['']">Navbar</a>
  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" [routerLink]="['']">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" [routerLink]="['']" >Link</a>
      </li>
    </ul>
    <ul class="navbar-nav">
      <li class="nav-item my-2 my-lg-0" *ngIf="!this.authservice.userSignedIn()">
          <a (click)="presentAuthDialog()" class="nav-link">Login</a>
      </li>
      <li class="nav-item my-2 my-lg-0" *ngIf="!this.authservice.userSignedIn()">
          <a (click)="presentAuthDialog('register')" class="nav-link">Register</a>
      </li>
      <li class="nav-item my-2 my-lg-0" *ngIf="this.authservice.userSignedIn()">
          <a [routerLink]="['/profile']" class="nav-link">Profile</a>
      </li>
      <li class="nav-item my-2 my-lg-0" *ngIf="this.authservice.userSignedIn()" >
          <a (click)='logOut()' class="nav-link">Logout</a>
      </li>
    </ul>
  </div>
</nav>

<auth-dialog #authdialog></auth-dialog>